<!DOCTYPE html>
<html>
    <head>
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async="true" src="https://www.googletagmanager.com/gtag/js?id=UA-166753203-1"></script>
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());

            gtag('config', 'UA-166753203-1');
        </script>
        <meta charset="utf-8"></meta>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"></meta>
        <title>VoxPeople : <udho:text value="label" /></title>
        <script type="application/ld+json">{
            "@context": "http://schema.org",
            "@type": "Map",
            "name": '<udho:text value="name" />',
            "description": '<udho:text value="label" />',
            "author": {
                "@type": "Person",
                "name": "Sunanda Bose"
            },
            "url": "https://voxpeople.org"
        }</script>
        <meta name="description"        udho:target:content="label"/>
        <meta property="og:type"        content="website"/>
        <meta property="og:title"       udho:target:content="label"/>
        <meta property="og:description" udho:target:content="label"/>
        <meta property="og:url"         content="https://voxpeople.org"/>
        <style>
            html, body{
                position: relative;
                height: 100%;
            }
            body .main{
                height: 100%;
            }
            [v-cloak] * { display:none }
            [v-cloak]::before { content: "loading…" }
        </style>
    </head>
    <body class="bg-gray-300">
        <div class="main flex flex-col" id="main">
            <div class="relative">
                <wee-nav>
                    <wee-nav-item href="/projects">Projects</wee-nav-item>
                    <wee-nav-item href="/chat">Chat</wee-nav-item>
                    <template slot="actions">
                        <wee-nav-item udho:if="loggedin"><a udho:target:href="/user/profile/`uid`"><udho:text value="uname" /></a></wee-nav-item>
                        <wee-nav-item udho:if="not(loggedin)" href="/user/login" action="true">Login</wee-nav-item>
                        <wee-nav-item udho:if="loggedin" href="/user/logout" action="true">Logout</wee-nav-item>
                    </template>
                </wee-nav>
            </div>
            <div class="flex-grow flex flex-col container m-auto">
                <div v-if="!project" class="flex flex-col w-full justify-center">
                    <wee-spatial-projects v-on:select="selected"></wee-spatial-projects>
                </div>
                <div v-if="project" class="flex flex-col w-full justify-center">
                    <wee-spatial-project-editor :id="project" v-on:back="backToProjects"></wee-spatial-project-editor>
                </div>
            </div>
        </div>
        <script src="/dist/projects.js"></script>
    </body>
</html>
